Bug 14354 - backspace problem with TERM=xterm-color
Summary: backspace problem with TERM=xterm-color
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: screen   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-21 02:11 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-07 22:26:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-07-21 02:11:04 UTC
as root on a 6.2 install

export TERM=xterm-color
screen
echo ^V (then hit the backspace (^?, now a days))

It gets converted to "^[[3~"
Outside of screen this conversion does NOT take place.

This problem seems to be different than the ^H ^? dilemma

Comment 1 Derek Tattersall 2000-08-13 17:31:23 UTC
This problem still exiists in pinstrip RC1.

Comment 2 David Balažic 2000-08-25 08:04:40 UTC
using TERM=something when the real terminal is something-else
will always give you trouble :-)
What happens here is that when you press backspace a ^? code
is emitted ( at least on console and new xterms ), but this code
means nothing, according to xterm-color termcap entry ( kb is
defined as ^H there ).
But why screen converts it to ^[[3~ is beyond me.
screen probably need a good code clean-up.
^[[3~ is by-the-way usually the code for kD ( delete character
after cursor ), the Delete key .


Comment 3 Phil Copeland 2002-08-12 16:50:35 UTC
Just going through closing old non-issue bugs

(works fine with latest and greatest from rawhide, just recompile from the SRPM)

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.